<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui">

    <p:commandButton id="themeButton" value="Change Theme: #{guestPreferences.theme}" type="button" style="width:100%"/>
    <p:menu widgetVar="themeMenu" position="dynamic" trigger="themeButton" my="left top" at="left bottom" styleClass="themeMenu">
        <p:submenu label="Themes">
            <p:menuitem value="Aristo" ajax="false"><f:setPropertyActionListener value="aristo" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Black-Tie" ajax="false"><f:setPropertyActionListener value="black-tie" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Blitzer" ajax="false"><f:setPropertyActionListener value="blitzer" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="BlueSky (RichFaces)" ajax="false"><f:setPropertyActionListener value="bluesky" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Casablanca (Trinidad)" ajax="false"><f:setPropertyActionListener value="casablanca" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Cupertino" ajax="false"><f:setPropertyActionListener value="cupertino" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Dark-Hive" ajax="false"><f:setPropertyActionListener value="dark-hive" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Dot-Luv" ajax="false"><f:setPropertyActionListener value="dot-luv" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Eggplant" ajax="false"><f:setPropertyActionListener value="eggplant" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Excite-Bike" ajax="false"><f:setPropertyActionListener value="excite-bike" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Flick" ajax="false"><f:setPropertyActionListener value="flick" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Glass-X (RichFaces)" ajax="false"><f:setPropertyActionListener value="glass-x" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Hot-Sneaks" ajax="false"><f:setPropertyActionListener value="hot-sneaks" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Humanity" ajax="false"><f:setPropertyActionListener value="humanity" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Le-Frog" ajax="false"><f:setPropertyActionListener value="le-frog" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Midnight (Wijmo)" ajax="false"><f:setPropertyActionListener value="midnight" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Mint-Choc" ajax="false"><f:setPropertyActionListener value="mint-choc" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Overcast" ajax="false"><f:setPropertyActionListener value="overcast" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Pepper-Grinder" ajax="false"><f:setPropertyActionListener value="pepper-grinder" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Redmond" ajax="false"><f:setPropertyActionListener value="redmond" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Rocket (Wijmo)" ajax="false"><f:setPropertyActionListener value="rocket" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Sam" ajax="false"><f:setPropertyActionListener value="sam" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Smoothness" ajax="false"><f:setPropertyActionListener value="smoothness" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="South-Street" ajax="false"><f:setPropertyActionListener value="south-street" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Start" ajax="false"><f:setPropertyActionListener value="start" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Sunny" ajax="false"><f:setPropertyActionListener value="sunny" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Swanky-Purse" ajax="false"><f:setPropertyActionListener value="swanky-purse" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Trontastic" ajax="false"><f:setPropertyActionListener value="trontastic" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="UI-Lightness" ajax="false"><f:setPropertyActionListener value="ui-lightness" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="UI-Darkness" ajax="false"><f:setPropertyActionListener value="ui-darkness" target="#{guestPreferences.theme}" /></p:menuitem>
            <p:menuitem value="Vader" ajax="false"><f:setPropertyActionListener value="vader" target="#{guestPreferences.theme}" /></p:menuitem>
        </p:submenu>
    </p:menu>

</ui:composition>